当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 在客机xbuntu 8.04中安装vmware tools 6.0.3,错误。(vmware 6.0.3)
帖子发表于 : 2008-05-08 15:57 

注册: 2007-02-24 18:59
帖子: 124
送出感谢: 0 次
接收感谢: 0 次
在windows中成功安装vmware6.0.3,然后成功安装了xbuntu 8.04.但在安装vmware的时候出错,编译模块的时候只有vmmemtcl vmxnet vmblock编译成功,vmhgfs、vmci两个模块的时候,出现错误。真不知道什么原因

在网上搜索,发现有人在安装vmware的时候出现同样错误,用了vmware-any-any-update-116.tgz这个针对内核的补丁,但好像对vmware-tools不起作用。不知道什么原因呢。

还想顺便问一下,vmhgfs 是针对共享文件夹的模块,但vmci是针对什么的模块呢?

Building the vmhgfs module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config1/vmhgfs-only'
make -C /lib/modules/2.6.24-17-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.24-17-generic'
CC [M] /tmp/vmware-config1/vmhgfs-only/backdoor.o
CC [M] /tmp/vmware-config1/vmhgfs-only/backdoorGcc32.o
CC [M] /tmp/vmware-config1/vmhgfs-only/bdhandler.o
CC [M] /tmp/vmware-config1/vmhgfs-only/cpName.o
In file included from include/linux/string.h:11,
from /tmp/vmware-config1/vmhgfs-only/cpName.h:18,
from /tmp/vmware-config1/vmhgfs-only/cpName.c:18:
include/linux/types.h:40: error: 与‘uintptr_t’类型冲突
/tmp/vmware-config1/vmhgfs-only/vm_basic_types.h:170: error: ‘uintptr_t’的上一个声明在此
make[2]: *** [/tmp/vmware-config1/vmhgfs-only/cpName.o] error 1
make[1]: *** --_module_/tmp/vmware-config1/vmhgfs-only-- error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.24-17-generic'
make: *** http://vmhgfs.ko error 2
make: Leaving directory `/tmp/vmware-config1/vmhgfs-only'
Unable to build the vmhgfs module.

Building the vmci module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config2/vmci-only'
make -C /lib/modules/2.6.24-17-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.24-17-generic'
CC [M] /tmp/vmware-config2/vmci-only/dbllnklst.o
CC [M] /tmp/vmware-config2/vmci-only/kernelStubsLinux.o
In file included from /tmp/vmware-config2/vmci-only/kernelStubs.h:17,
from /tmp/vmware-config2/vmci-only/kernelStubsLinux.c:14:
/tmp/vmware-config2/vmci-only/vm_basic_types.h:273: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VA’
/tmp/vmware-config2/vmci-only/vm_basic_types.h:274: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘VPN’
/tmp/vmware-config2/vmci-only/vm_basic_types.h:309: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘LA’
/tmp/vmware-config2/vmci-only/vm_basic_types.h:310: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘LPN’
make[2]: *** [/tmp/vmware-config2/vmci-only/kernelStubsLinux.o] error 1
make[1]: *** --_module_/tmp/vmware-config2/vmci-only-- error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.24-17-generic'
make: *** http://vmci.ko error 2
make: Leaving directory `/tmp/vmware-config2/vmci-only'
Unable to build the vmci module.

谢谢大家了。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-08 22:03 

注册: 2006-05-04 20:00
帖子: 194
送出感谢: 0 次
接收感谢: 0 次
vmware-any-any-update


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-09 9:00 

注册: 2007-02-24 18:59
帖子: 124
送出感谢: 0 次
接收感谢: 0 次
vmware-any-any-update
也能用于vmware tools吗?
应该在安装的哪个步骤中使用呢?

我用open-vmware-tools替换以后,除了vmci,其他模块都正常。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-09 15:52 

注册: 2008-04-30 21:40
帖子: 431
送出感谢: 0 次
接收感谢: 0 次
U里面装,补丁是一定要打的。
只听说VM里不支持重复安装VM,所以即使补丁正确也。。。。但我没试过。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-06-28 1:40 

注册: 2008-06-28 1:38
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我遇到了与你一样的问题,不知道怎么解决呀


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-09-01 17:43 

注册: 2006-11-15 10:04
帖子: 79
送出感谢: 0 次
接收感谢: 0 次
看看这个
http://peterc.org/2008/62-how-to-instal ... usion.html

不过上面说的挺啰嗦的
其实很简单,下open-vm-tools,解开,把open-vm-tools/modules/linux里的vmhgfs目录改名成vmhgfs-only然后压成vmhgfs.tar, 替换vmware-tools-distrib/lib/modules/source下的同名文件,然后正常安装就行了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译